import { Column, ColumnType, Table, } from "@journeyapps/powersync-sdk-common";
export const ATTACHMENT_TABLE = "attachments";
export var AttachmentState;
(function (AttachmentState) {
    AttachmentState[AttachmentState["QUEUED_SYNC"] = 0] = "QUEUED_SYNC";
    AttachmentState[AttachmentState["QUEUED_UPLOAD"] = 1] = "QUEUED_UPLOAD";
    AttachmentState[AttachmentState["QUEUED_DOWNLOAD"] = 2] = "QUEUED_DOWNLOAD";
    AttachmentState[AttachmentState["SYNCED"] = 3] = "SYNCED";
    AttachmentState[AttachmentState["ARCHIVED"] = 4] = "ARCHIVED";
})(AttachmentState || (AttachmentState = {}));
export class AttachmentTable extends Table {
    constructor(options) {
        super({
            ...options,
            name: options?.name ?? ATTACHMENT_TABLE,
            columns: [
                new Column({ name: "filename", type: ColumnType.TEXT }),
                new Column({ name: "local_uri", type: ColumnType.TEXT }),
                new Column({ name: "timestamp", type: ColumnType.INTEGER }),
                new Column({ name: "size", type: ColumnType.INTEGER }),
                new Column({ name: "media_type", type: ColumnType.TEXT }),
                new Column({ name: "state", type: ColumnType.INTEGER }),
                ...(options?.additionalColumns ?? []),
            ],
        });
    }
}
//# sourceMappingURL=Schema.js.map